# Class OpenSSLCertificateVerifier

java.lang.Object
org.apache.tomcat.util.net.openssl.OpenSSLCertificateVerifier

All Implemented Interfaces:
  `CertificateVerifier`

public class OpenSSLCertificateVerifier extends Object implements CertificateVerifier

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `OpenSSLCertificateVerifier(X509TrustManager x509TrustManager)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `verify(long ssl, byte[][] chain, String auth)`
  Returns `true` if the passed in certificate chain could be verified and so the handshake should be successful, `false` otherwise.

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### OpenSSLCertificateVerifier

    public OpenSSLCertificateVerifier(X509TrustManager x509TrustManager)

- ## Method Details

  - ### verify

    public boolean verify(long ssl, byte[][] chain, String auth)
    Description copied from interface: `CertificateVerifier`
    Returns `true` if the passed in certificate chain could be verified and so the handshake should be successful, `false` otherwise.
    Specified by:
      `verify` in interface `CertificateVerifier`
    Parameters:
      `ssl` - the SSL instance
      `chain` - the `X509` certificate chain
      `auth` - the auth algorithm
    Returns:
      verified `true` if verified successful, `false` otherwise